Не бързайте с WordPress 2.5

Едно от любимите ми правила за софтуер: никога да не ползвам първите версии на ново поколение софтуер. Затова и почакайте малко с актуализацията към WordPress 2.5. Защо?

1. Въпреки, че софтуерът е официално завършен, той не е бил тестван от стотици хиляди потребители. Именно те ще открият сериозните проблеми в него;

2. Обикновено съвсем скоро след излизането на първата версия, следват няколко версии за разрешаване на критични проблеми и поправки в сигурността. Едвали искате да актуализирате често вашата инсталация;

3. Просто няма нужда да се бърза. По-новата система за блогване няма да ви направи по-добри блогъри или пък да изглеждате по-секси на бара. Освен ако не сте на бар-камп 😉

Съветвам ви да изчакате WordPress да стане поне версия 2.5.3, за да сте сигурни че използвате стабилен софтуер.

8 коментара към “Не бързайте с WordPress 2.5”

  1. Владо,
    прав си, но все пак.. Аз ползвам 2.5 от rc2 версията му и до момента съм успял да счупа само архивите веднъж и rss хранилката. Мисля, че доста добре са се справили все пак младежите от Аутоматик 😉

  2. само едно проблемче с тия правила – к’во ще стане ако всички ги следват? Няма кой да се набие на проблемите… Следователно и да ги следваш и да не ги следваш, ако решиш да обновяваш – пак ще имаш проблеми…

  3. Проблемът е че ако никой не си го инсталира той така и няма да бъде тестван от „стотици хиляди потребители“ 🙂

  4. 2.5.1 – 2.5.2 е също вероятно да са доста по-добри откъм сигурност и бъгове, в сравнение с 2.5 🙂

  5. @Zloster & AqulaX – именно това е хубавото, че не всички ще се влушат в тези правила. Винаги има хора, на които не им пука колко често актуализират софтуера и имат време да го правят.

  6. Следователно може да обобщим:
    1) Ако не искате да берете технически ядове – изчаквате една две версии, докато се стабилизират нещата
    2) Ако нямата проблем с техническите ядове – обновяване + нечии майки си отнасят малко приятно прекарване, нещата се стабилизират и всички са доволни

  7. To си е до разбиране на човека. Аз синаги съм си слагал бета на продукти, които даже и не са излизали, но съм си слагал. Слагал съм бета версия и на сървър на който влизат много хора, макар, че с големи букви пиши да не се прави …

    Всичко е до разбиране.

  8. Не че е някакво правило, но при този тип софтуер, проблемите със сигурността са повече при по-стари версии. Логиката е, че са съществували по-дълго време и се ползват по-масово, което увеличава възможността от създаване на експлойти.
    Ако девелопмента са читави пичове, новата версия ще е по-затегната откъм сигурност.

Вашият коментар